die INSTALL, die.

This commit is contained in:
espie 2004-09-22 10:43:51 +00:00
parent 2e98e33e9d
commit 463de08158
4 changed files with 22 additions and 145 deletions

View File

@ -1,53 +0,0 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.2 2004/04/13 09:31:06 xsa Exp $
#
# De-installation setup of xmcd
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${SYSCONFDIR}/xmcd
DB_DIR=/var/db/xmcd
# Function: tell the user what they need to do to delete the port completely
#
do_notice()
{
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| these steps as root:"
echo "|"
echo "| rm -rf ${CONFIG_DIR} ${DB_DIR}"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if [ ${PKG_DELETE_EXTRA} != Yes -a \
\( -e ${CONFIG_DIR} -o -e ${DB_DIR} \) ]; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

View File

@ -1,91 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1 2001/01/18 16:41:28 naddy Exp $
#
# Pre/post-installation setup of xmcd
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${SYSCONFDIR}/xmcd
DB_DIR=/var/db/xmcd
SAMPLE_DIR=$PREFIX/share/examples/xmcd
# Function: tell the user what they need to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration and database files in"
echo "| ${CONFIG_DIR} and ${DB_DIR} have NOT been changed."
echo "| You may want to compare them to the current sample files"
echo "| in ${SAMPLE_DIR} and update your"
echo "| configuration as needed."
echo "+---------------"
echo
}
# Function: install configuration files
#
do_install()
{
cd $SAMPLE_DIR
install -d -m 755 -o root -g wheel ${CONFIG_DIR}
for i in common.cfg device.cfg sites; do
install -m 644 -o root -g wheel $i ${CONFIG_DIR}
done
install -d -m 755 -o root -g bin ${DB_DIR}/discog
for i in bkgnd.gif discog.html xmcdlogo.gif; do
install -m 644 -o root -g bin $i ${DB_DIR}/discog
done
echo
echo "+---------------"
echo "| The $1 configuration and database files in"
echo "| ${CONFIG_DIR} and ${DB_DIR} have been installed."
echo "| Please view these files and change the configuration"
echo "| to meet your needs."
echo "|"
echo "| Before using xmcd/cda for the first time, you must"
echo "| set up the software by running the following program:"
echo "|"
echo "| $PREFIX/sbin/xmcdconfig"
echo "|"
echo "| Xmcd/cda will not work until that is done."
echo "|"
echo "| You may also want to set up cron(8) to run the"
echo "| $PREFIX/share/xmcd/scripts/genidx script periodically"
echo "| (e.g., nightly) to re-generate the local discography"
echo "| category index pages."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -e ${CONFIG_DIR} -o -e ${DB_DIR} ]; then
do_notice "$1"
else
do_install "$1"
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

13
audio/xmcd/pkg/MESSAGE Normal file
View File

@ -0,0 +1,13 @@
+---------------
| Before using xmcd/cda for the first time, you must
| set up the software by running the following program:
|
| $PREFIX/sbin/xmcdconfig
|
| Xmcd/cda will not work until that is done.
|
| You may also want to set up cron(8) to run the
| $PREFIX/share/xmcd/scripts/genidx script periodically
| (e.g., nightly) to re-generate the local discography
| category index pages.
+---------------

View File

@ -1,4 +1,4 @@
@comment $OpenBSD: PLIST,v 1.6 2004/09/14 23:16:56 espie Exp $
@comment $OpenBSD: PLIST,v 1.7 2004/09/22 10:43:51 espie Exp $
bin/cda
bin/cddbcmd
bin/dp2xmcd
@ -34,12 +34,20 @@ share/doc/xmcd/README
share/doc/xmcd/RELNOTES
share/doc/xmcd/WEB
share/examples/xmcd/
@sample ${SYSCONFDIR}/xmcd/
@sample /var/db/xmcd/
share/examples/xmcd/bkgnd.gif
@sample /var/db/xmcd/bkgnd.gif
share/examples/xmcd/common.cfg
@sample ${SYSCONFDIR}/xmcd/common.cfg
share/examples/xmcd/device.cfg
@sample ${SYSCONFDIR}/xmcd/device.cfg
share/examples/xmcd/discog.html
@sample /var/db/xmcd/discog.html
share/examples/xmcd/sites
@sample ${SYSCONFDIR}/xmcd/sites
share/examples/xmcd/xmcdlogo.gif
@sample /var/db/xmcd/xmcdlogo.gif
share/xmcd/
share/xmcd/app-defaults/
share/xmcd/app-defaults/XKeysymDB